:root {
  --bgColor: #091921;
  --handColor: rgb(197, 16, 16);
}

body {
  box-sizing: border-box;
  height: 100vh;
  display: flex;
  justify-content: center;
  align-items: center;
  background-color: var(--bgColor);
  overflow: hidden;
}

.digital-clock {
  color: #17d4fe;
  font-size: 4vw;
  font-family: Orbitron;
  position: absolute;
  top: 90%;
  text-align: center;
  left: 49%;
  transform: translateX(-50%) translateY(-50%);
  letter-spacing: 7px;
}

.clock {
  background: url("../../images/clock.png") no-repeat;
  background-size: contain;
  background-position: center;
  width: 30rem;
  height: 30rem;
  display: flex;
  justify-content: center;
  align-items: center;
  border: 4px solid var(--bgColor);
  box-shadow: 0 -15px 15px rgba(255, 255, 255, 0.05),
    inset 0 -15px 15px rgba(255, 255, 255, 0.05), 0 15px 15px rgba(0, 0, 0, 0.3),
    inset 0 15px 15px rgba(0, 0, 0, 0.3);
  border-radius: 50%;
  position: relative;
  padding: 3rem;
}

.clock:before {
  content: "";
  position: absolute;
  width: 15px;
  height: 15px;
  background: #fff;
  border-radius: 50%;
  z-index: 999;
}

.clock-container {
  position: relative;
  width: 100%;
  height: 100%;
  transform: translateY(-3px);
}

.hour-stack {
  left: 15%;
  height: 10px;
  width: 35%;
}

.min-stack {
  height: 10px;
}

.second-stack {
  height: 2px;
}

.min-stack,
.second-stack {
  width: 50%;
}

.hand {
  background: var(--handColor);
  position: absolute;
  top: 50%;
  transform-origin: 100%;
  transform: rotate(90deg);
  transition: all 0.05s;
  transition-timing-function: cubic-bezier(0.1, 2.7, 0.58, 1);
}

@media (max-width: 500px) {
  .clock {
    width: 230px;
    height: 230px;
    padding: 2rem;
  }
}

@media (max-height: 500px) {
  .clock {
    width: 230px;
    height: 230px;
    padding: 2rem;
  }
}
